Subject: Re: gcc can't find cpp
From: [email-masked] (Vince Rice)

15 Jan 1999 01:14:38 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Thanks to all who replied. The problem was that I have moved my directories
around to create something resembling a "real" Unix system (I don't care what
the motivation is, for me personally the default Cygwin directories are an
ABOMINATION and should be exorcised at the earliest possible moment <g>). The
answer to my problem should probably be in the FAQ somewhere (it may be, but
I didn't find it).

The fix is to a create GCC_EXEC_PREFIX variable pointing to the gcc-lib
directory (wherever it is); a LIBRARY_PATH pointing to the gcc-lib, the
/usr/lib, and the /usr/local/lib equivalents; a C_INCLUDE_PATH pointing the
gcc-lib/include, the /usr/local/include, and the /usr/include directories,
and a CPLUS_INCLUDE_PATH pointing to /usr/include/g++:$C_INCLUDE_PATH.

gcc is happily executing now. Now, if we can just convince Geoffrey to use a
directory structure someone besides a Martian can read <bg>.

Thanks to all again!

Vince

Vince Rice wrote:

> I tried to compile a program today for the first time, and gcc complains
> that it can't execute cpp. The exact message is:
>     gcc: installation problem, cannot exec 'cpp': No such file or
> directory.
>
> I found the cpp.exe buried in
>     /usr/local/lib/gcc-lib/i586-cygwin32/egcs-2.91.57
> along with a few other files and an include directory.
>
> Should gcc be able to find those files as is? Am I missing an
> environment variable to tell it where to look, or should the files be
> copies to someplace else?
>
> Thanks!
>
> Vince
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".